gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

A object which represents a row.

To be added GLib.Opaque GLib.IWrapper
- Method
  System.Void

  Deallocates all memory associated to the Gda.Row.

  To be added
- Method
  Gda.Value ``

  Returns a stored in the Gda.Row.

  a the field index. a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Creates a new Gda.Row, which can hold count .

  a this row belongs to.
  a of in the new Gda.Row.
  a
  To be added
- Constructor

  Creates a new Gda.Row from a list of 's

  a
  a
  a
  To be added
- Property
  Gda.DataModel

  Gets the which Gda.Row belongs to.

  a To be added
- Property
  System.Int32

  Gets the number of the Gda.Row, that is, its position in its containing data model.

  Sets the row number for the Gda.Row.

  a To be added
- Property
  System.Int32

  Gets the number of columns that Gda.Row has.

  a To be added
- Property
  System.String

  Gets the unique identifier for this row.

  Sets the identifier for this row. Usually, this is called by providers.

  a

  This identifier is assigned by the different providers, to uniquely identify rows returned to clients. If there is no ID, this means that the row has not been created by a provider, or that it the provider cannot identify it (ie, modifications to it won't take place into the database).